/**
 * WordPress dependencies
 */

import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import AuthorView from './author-view';
const authorField = {
  label: __('Author'),
  id: 'author',
  type: 'integer',
  elements: [],
  render: AuthorView,
  sort: (a, b, direction) => {
    const nameA = a._embedded?.author?.[0]?.name || '';
    const nameB = b._embedded?.author?.[0]?.name || '';
    return direction === 'asc' ? nameA.localeCompare(nameB) : nameB.localeCompare(nameA);
  }
};

/**
 * Author field for BasePost.
 */
export default authorField;
//# sourceMappingURL=index.js.map