/**
 * WordPress dependencies
 */

import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import { getItemTitle } from '../../actions/utils';
import PageTitleView from './view';
const pageTitleField = {
  type: 'text',
  id: 'title',
  label: __('Title'),
  placeholder: __('No title'),
  getValue: ({
    item
  }) => getItemTitle(item),
  render: PageTitleView,
  enableHiding: false,
  enableGlobalSearch: true
};

/**
 * Title for the page entity.
 */
export default pageTitleField;
//# sourceMappingURL=index.js.map