/**
 * WordPress dependencies
 */
import { useSelect } from '@wordpress/data';
import { store as coreStore } from '@wordpress/core-data';
import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import { getTitleWithFallbackName } from './utils';
import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
export const ParentView = ({
  item
}) => {
  const parent = useSelect(select => {
    const {
      getEntityRecord
    } = select(coreStore);
    return item?.parent ? getEntityRecord('postType', item.type, item.parent) : null;
  }, [item.parent, item.type]);
  if (parent) {
    return /*#__PURE__*/_jsx(_Fragment, {
      children: getTitleWithFallbackName(parent)
    });
  }
  return /*#__PURE__*/_jsx(_Fragment, {
    children: __('None')
  });
};
//# sourceMappingURL=parent-view.js.map