/**
 * WordPress dependencies
 */

import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import { getItemTitle } from '../../actions/utils';
import PatternTitleView from './view';
const patternTitleField = {
  type: 'text',
  id: 'title',
  label: __('Title'),
  placeholder: __('No title'),
  getValue: ({
    item
  }) => getItemTitle(item),
  render: PatternTitleView,
  enableHiding: false,
  enableGlobalSearch: true
};

/**
 * Title for the pattern entity.
 */
export default patternTitleField;
//# sourceMappingURL=index.js.map