/**
 * WordPress dependencies
 */
import { __ } from '@wordpress/i18n';
import { Icon, lockSmall } from '@wordpress/icons';
import { Tooltip } from '@wordpress/components';
// @ts-ignore
import { privateApis as patternPrivateApis } from '@wordpress/patterns';

/**
 * Internal dependencies
 */

import { BaseTitleView } from '../title/view';
import { unlock } from '../../lock-unlock';
import { jsx as _jsx } from "react/jsx-runtime";
export const {
  PATTERN_TYPES
} = unlock(patternPrivateApis);
export default function PatternTitleView({
  item
}) {
  return /*#__PURE__*/_jsx(BaseTitleView, {
    item: item,
    className: "fields-field__pattern-title",
    children: item.type === PATTERN_TYPES.theme && /*#__PURE__*/_jsx(Tooltip, {
      placement: "top",
      text: __('This pattern cannot be edited.'),
      children: /*#__PURE__*/_jsx(Icon, {
        icon: lockSmall,
        size: 24
      })
    })
  });
}
//# sourceMappingURL=view.js.map