/**
 * WordPress dependencies
 */

import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import { getItemTitle } from '../../actions/utils';
import TitleView from '../title/view';
const templateTitleField = {
  type: 'text',
  label: __('Template'),
  placeholder: __('No title'),
  id: 'title',
  getValue: ({
    item
  }) => getItemTitle(item),
  render: TitleView,
  enableHiding: false,
  enableGlobalSearch: true
};

/**
 * Title for the template entity.
 */
export default templateTitleField;
//# sourceMappingURL=index.js.map